ApiLlm provider configs
Tests the credentials stored in the configuration draft.
Validates the draft credentials by making a minimal API call to the LLM provider. Use this to verify an API key is valid before publishing.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.
In: header
Path Parameters
llmProvider*string
The LLM provider ID.
llmConfig*string
The configuration ID.
Format
uuidtenant*string
The tenant identifier
Response Body
curl -X POST "https://api.fruxon.com/v1/tenants/string/llmProviders/string/configs/497f6eca-6276-4993-bfeb-53cbbbba6f08:test"{
"success": false,
"error": "string"
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}Empty
Empty
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}